import request from '@/utils/request'

// 查询合作商管理列表
export function listMallPartners(query) {
  return request({
    url: '/system/inspectionMallPartners/list',
    method: 'get',
    params: query
  })
}
// pinglunshanchu
export function pinglunshanchu(data) {
  return request({
    url: '/system/inspectionMallPartners/delCommentByOrderId',
    method: 'post',
    data: data
  })
}
// pinglun
export function pinglun(query) {
  return request({
    url: '/system/inspectionMallPartners/listComment',
    method: 'get',
    params: query
  })
}
// 查询【商家分类id】列表
export function listCategory(query) {
  return request({
    url: '/system/shopInspectionCategory/list',
    method: 'get',
    params: query
  })
}
// 查询合作商管理详细
export function getMallPartners(partnerId) {
  return request({
    url: '/system/inspectionMallPartners/list?partnerId=' + partnerId,
    method: 'get'
  })
}

// 新增合作商管理
export function addMallPartners(data) {
  return request({
    url: '/system/inspectionMallPartners/add',
    method: 'post',
    data: data
  })
}

// 修改合作商管理
export function updateMallPartners(data) {
  return request({
    url: '/system/inspectionMallPartners/setShopAdmin',
    method: 'post',
    data: data
  })
}

// 删除合作商管理
export function delMallPartners(partnerId) {
  return request({
    url: '/system/inspectionMallPartners/del?idList=' + partnerId,
    method: 'post'
  })
}
// 封禁
export function fjPartners(data) {
  return request({
    url: '/system/inspectionMallPartners/banned',
    method: 'post',
    data: data
  })
}
